#include <bits/stdc++.h>
using namespace std;
int main(){
	ios_base::sync_with_stdio(0); cin.tie(0); cerr.tie(0); cout.tie(0);
	long long n, k;
	cin >> n >> k;
	long long niz[n];
	long long poz;
	for(int i = 0; i < n; i++){
		cin >> niz[i];
		if(niz[i] == k)
			poz = i;
	}
	if(poz == n - 1)
		cout << niz[0];
	else
		cout << niz[poz + 1];
	return 0;
}